Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(4)

Issue 2889883002: Enable print as image by default (Closed)

Created:
7 months ago by rbpotter
Modified:
6 months, 4 weeks ago
Reviewers:
Lei Zhang, dpapad
CC:
chromium-reviews
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Enable print as image by default Enable the print as image flag by default so that print as image is available by default on Linux/ChromeOS. BUG=675798 Review-Url: https://codereview.chromium.org/2889883002 Cr-Commit-Position: refs/heads/master@{#473295} Committed: https://chromium.googlesource.com/chromium/src/+/c51ee3623f7ebea04867980986d1e7226d5fefb0

Patch Set 1 #

Patch Set 2 : Enable print as image by default #

Total comments: 2

Patch Set 3 : add flags for win and mac #

Total comments: 2

Patch Set 4 : Fix mac and win compile errors #

Patch Set 5 : Fix JS style guide issue #

Unified diffs Side-by-side diffs Delta from patch set Stats (+18 lines, -26 lines) Patch
M chrome/browser/flag_descriptions.cc View 1 2 3 1 chunk +2 lines, -1 line 0 comments Download
M chrome/browser/ui/webui/print_preview/print_preview_ui.cc View 1 2 3 1 chunk +4 lines, -0 lines 0 comments Download
M chrome/common/chrome_features.h View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M chrome/common/chrome_features.cc View 1 2 1 chunk +2 lines, -2 lines 0 comments Download
M chrome/test/data/webui/print_preview.js View 1 2 3 4 3 chunks +9 lines, -22 lines 0 comments Download
Trybot results:  win_chromium_x64_rel_ng   linux_android_rel_ng   win_clang   win_chromium_x64_rel_ng   win_chromium_compile_dbg_ng   mac_chromium_rel_ng   ios-simulator   ios-simulator-xcode-clang   mac_chromium_compile_dbg_ng   ios-device-xcode-clang   linux_chromium_tsan_rel_ng   ios-device   linux_chromium_chromeos_rel_ng   linux_chromium_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_asan_rel_ng   linux_chromium_chromeos_ozone_rel_ng   chromium_presubmit   chromeos_amd64-generic_chromium_compile_only_ng   chromeos_daisy_chromium_compile_only_ng   cast_shell_linux   linux_android_rel_ng   android_n5x_swarming_rel   cast_shell_android   android_compile_dbg   android_cronet   android_clang_dbg_recipe   android_arm64_dbg_recipe   win_chromium_rel_ng   win_chromium_rel_ng   win_chromium_rel_ng   win_chromium_rel_ng   win_chromium_x64_rel_ng   win_chromium_rel_ng   chromium_presubmit   linux_chromium_rel_ng   mac_chromium_rel_ng   win_chromium_x64_rel_ng   win_clang   win_chromium_compile_dbg_ng   win_chromium_rel_ng   mac_chromium_rel_ng   mac_chromium_compile_dbg_ng   ios-simulator-xcode-clang   ios-device-xcode-clang   ios-simulator   ios-device   linux_chromium_tsan_rel_ng   linux_chromium_chromeos_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_rel_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_asan_rel_ng   chromium_presubmit   chromeos_daisy_chromium_compile_only_ng   chromeos_amd64-generic_chromium_compile_only_ng   linux_android_rel_ng   cast_shell_linux   cast_shell_android   android_n5x_swarming_rel   android_cronet   android_compile_dbg   android_clang_dbg_recipe   android_arm64_dbg_recipe 

Messages

Total messages: 42 (26 generated)
rbpotter
7 months ago (2017-05-17 01:47:50 UTC) #5
Lei Zhang
lgtm
7 months ago (2017-05-17 08:02:42 UTC) #8
dpapad
https://codereview.chromium.org/2889883002/diff/20001/chrome/common/chrome_features.cc File chrome/common/chrome_features.cc (right): https://codereview.chromium.org/2889883002/diff/20001/chrome/common/chrome_features.cc#newcode284 chrome/common/chrome_features.cc:284: base::FEATURE_ENABLED_BY_DEFAULT}; Isn't this enabling by default the feature on ...
7 months ago (2017-05-17 16:35:58 UTC) #9
rbpotter
https://codereview.chromium.org/2889883002/diff/20001/chrome/common/chrome_features.cc File chrome/common/chrome_features.cc (right): https://codereview.chromium.org/2889883002/diff/20001/chrome/common/chrome_features.cc#newcode284 chrome/common/chrome_features.cc:284: base::FEATURE_ENABLED_BY_DEFAULT}; On 2017/05/17 16:35:58, dpapad wrote: > Isn't this ...
7 months ago (2017-05-17 16:55:09 UTC) #11
dpapad
https://codereview.chromium.org/2889883002/diff/40001/chrome/common/chrome_features.cc File chrome/common/chrome_features.cc (right): https://codereview.chromium.org/2889883002/diff/40001/chrome/common/chrome_features.cc#newcode287 chrome/common/chrome_features.cc:287: #if BUILDFLAG(ENABLE_PRINT_PREVIEW) && !defined(OS_WIN) && !defined(OS_MACOSX) Probably need something ...
7 months ago (2017-05-17 17:32:37 UTC) #15
rbpotter
https://codereview.chromium.org/2889883002/diff/40001/chrome/common/chrome_features.cc File chrome/common/chrome_features.cc (right): https://codereview.chromium.org/2889883002/diff/40001/chrome/common/chrome_features.cc#newcode287 chrome/common/chrome_features.cc:287: #if BUILDFLAG(ENABLE_PRINT_PREVIEW) && !defined(OS_WIN) && !defined(OS_MACOSX) On 2017/05/17 17:32:37, ...
7 months ago (2017-05-17 19:17:26 UTC) #18
Lei Zhang
looks better to me.
7 months ago (2017-05-17 19:18:11 UTC) #19
dpapad
LGTM
7 months ago (2017-05-17 21:14:35 UTC) #22
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2889883002/60001
7 months ago (2017-05-17 23:31:30 UTC) #25
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/440487)
7 months ago (2017-05-17 23:50:54 UTC) #27
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2889883002/100001
7 months ago (2017-05-18 00:00:10 UTC) #31
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_x64_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_x64_rel_ng/builds/429971)
7 months ago (2017-05-18 01:41:26 UTC) #33
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2889883002/100001
7 months ago (2017-05-18 17:34:18 UTC) #35
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_rel_ng/builds/448981)
6 months, 4 weeks ago (2017-05-18 22:35:43 UTC) #37
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2889883002/100001
6 months, 4 weeks ago (2017-05-19 17:55:06 UTC) #39
commit-bot: I haz the power
6 months, 4 weeks ago (2017-05-19 20:25:18 UTC) #42
Message was sent while issue was closed.
Committed patchset #5 (id:100001) as
https://chromium.googlesource.com/chromium/src/+/c51ee3623f7ebea04867980986d1...

Powered by Google App Engine
This is Rietveld 0eb02b776